%define upstream_name    HTTP-MultiPartParser
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    HTTP MultiPart Parser
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This class provides a low-level API for processing MultiPart MIME data
streams conforming to MultiPart types as defined in
http://tools.ietf.org/html/rfc2616#section-3.7.2.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-3.mga8
+ Revision: 1504695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-2.mga7
+ Revision: 1284066
- Mageia 7 Mass Rebuild

* Fri Jul 28 2017 shlomif <shlomif> 0.20.0-1.mga7
+ Revision: 1131883
- imported package perl-HTTP-MultiPartParser


* Fri Jul 28 2017 cpan2dist 0.02-1mga
- initial mageia release, generated with cpan2dist
